CVE-2013-4737
CVSS9.3
发布时间 :2014-02-15 09:57:07
修订时间 :2014-02-18 14:35:47
NMCOS    

[原文]The CONFIG_STRICT_MEMORY_RWX implementation for the Linux kernel 3.x, as used in Qualcomm Innovation Center (QuIC) Android contributions for MSM devices and other products, does not properly consider certain memory sections, which makes it easier for attackers to bypass intended access restrictions by leveraging the presence of RWX memory at a fixed location.


[CNNVD]MSM CONFIG_STRICT_MEMORY_RWX功能安全漏洞(CNNVD-201402-218)

        Android for MSM是一个Android的MSM项目,该项目的主要目的是建立一个包含高通MSM芯片组的Android平台。
        QuIC Android contributions for MSM设备中使用的Linux kernel 3.10版本的CONFIG_STRICT_MEMORY_RWX功能的实现过程中存在安全漏洞,该漏洞源于程序没有正确管理内存。攻击者可利用该漏洞以‘RWX’权限绕过既定的访问限制。

- CVSS (基础分值)

CVSS分值: 9.3 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-264 [权限、特权与访问控制]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-4737
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2013-4737
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-201402-218
(官方数据源) CNNVD

- 其它链接及资源

https://www.codeaurora.org/projects/security-advisories/configstrictmemoryrwx-not-strictly-enforced-cve-2013-4737
(VENDOR_ADVISORY)  CONFIRM  https://www.codeaurora.org/projects/security-advisories/configstrictmemoryrwx-not-strictly-enforced-cve-2013-4737

- 漏洞信息

MSM CONFIG_STRICT_MEMORY_RWX功能安全漏洞
高危 权限许可和访问控制
2014-02-20 00:00:00 2014-02-20 00:00:00
远程  
        Android for MSM是一个Android的MSM项目,该项目的主要目的是建立一个包含高通MSM芯片组的Android平台。
        QuIC Android contributions for MSM设备中使用的Linux kernel 3.10版本的CONFIG_STRICT_MEMORY_RWX功能的实现过程中存在安全漏洞,该漏洞源于程序没有正确管理内存。攻击者可利用该漏洞以‘RWX’权限绕过既定的访问限制。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        https://www.codeaurora.org/projects/security-advisories/configstrictmemoryrwx-not-strictly-enforced-cve-2013-4737

- 漏洞信息

97019
Code Aurora Forum Multiple Product CONFIG_STRICT_MEMORY_RWX Feature Arbtirary Memory Manipulation Weakness
Local Access Required Misconfiguration
Loss of Integrity Upgrade
Exploit Unknown Vendor Verified

- 漏洞描述

Multiple Code Aurora Forum products contain a flaw in the CONFIG_STRICT_MEMORY_RWX feature. The issue is due to the program setting insecure permission for the aforementioned feature. This may allow a remote attacker to manipulate memory objects and more easily execute arbitrary code or crash the program.

- 时间线

2013-09-05 Unknow
Unknow 2013-09-05

- 解决方案

The vendor has released a patch to address this vulnerability. There are no known workarounds or upgrades to correct this issue. Check the vendor advisory, changelog, or solution in the references section for details.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Code Aurora Multiple Products 'CONFIG_STRICT_MEMORY_RWX' Security Bypass Vulnerability
Design Error 65630
Yes Yes
2014-02-18 12:00:00 2014-02-18 12:00:00
Georg Wicherski of CrowdStrike

- 受影响的程序版本

- 漏洞讨论

Code Aurora Multiple Products are prone to a security-bypass vulnerability.

Attackers can exploit this issue to bypass certain security restrictions and perform unauthorized actions. This may aid in further attacks.

- 漏洞利用

Currently, we are not aware of any working exploits. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Updates are available. Please see the references or vendor advisory for more information.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站